Bug 27076 - optical intellimouse mouse not working in GUI
optical intellimouse mouse not working in GUI
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2001-02-11 15:10 EST by Sean Dilda
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-20 12:08:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2001-02-11 15:10:42 EST
Using rawhide 20010211.
Mouse is a Microsoft Optical Intellimouse with the ps2 adapter used.

I'm doing a net install, once X starts (on the mouse selection screen), the
second I move the mouse, the cursor jumps to the top right of the screen
and stays there.  Moving the mouse produces no movement, except
occasionally the cursor jumps across the top of the screen, then
immediately back to the top right corner.
Comment 1 Michael Fulbright 2001-02-11 22:58:55 EST
Dave do we have one of these to test?
Comment 2 Glen Foster 2001-02-12 18:11:04 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Sean Dilda 2001-02-14 21:59:07 EST
More information:

Tried the same mouse in usb mode (just didn't use ps2 adapter), and it worked
fine.  Also tested a normal ps2 intellimouse and it worked fine.

Also, I went through a test install with the Optical Intellimouse in ps2 mode. 
I told it I had a ps2 intellimouse and once the install had completed, X worked
fine with the mouse, this seems to only be a problem in anaconda.
Comment 4 Brent Fox 2001-02-19 23:21:33 EST
Brock or Dave, do we have one of these mice in the test lab?
Comment 5 David Lawrence 2001-02-20 11:50:06 EST
Nope. they are fairly new. We will need to order one.
Comment 6 Brent Fox 2001-02-20 12:08:21 EST
Ok, putting in NEEDINFO state until it arrives.
Comment 7 Brent Fox 2001-02-28 10:51:16 EST
The mouse has arrived.  I've done some tests and everything works fine for me
using both the USB and PS/2 ports.  Resolving as notabug.

Note You need to log in before you can comment on or make changes to this bug.